#pragma once
#include "resource.h"
#include "ModalDialog.hpp"
#include "FileDialog.hpp"
#include "FolderDialog.hpp"

namespace Lmt {
namespace O2Bms {
	class MainDialog : public ModalDialog {
		FileDialog m_fileDlg;
		FolderDialog m_dirDlg;
		//2007/6/10 1.04----->
		HFONT m_hfontOfficial;
		//<-------------------
	public:
		MainDialog() : ModalDialog( IDD_MAIN ){}
	private:
		virtual void OnInitDialog();
		virtual bool OnOk();
		virtual bool OnCancel();
		virtual bool OnCommand( WORD id, WORD code, HWND hwnd );
	private:
		void OnAddTarget();
		void OnDeleteTarget();
		void OnSelectOutDir();
		//2007/6/10 1.04----->
//		void OnCheckDecodeWav();
		//<-------------------
		//2007/6/10 1.04----->
		void OnUpdateOfficialRule();
		//<-------------------
		void OnStartConvert();
	};
}
}
