#pragma once

namespace Lmt {
namespace O2Bms {
	class SoundFormat {
		int m_format;
	public:
		static const int Wave = 0;
		static const int OggVorbis = 1;
	public:
		SoundFormat() : m_format( Wave ){}
		SoundFormat( int format ) : m_format( format ){}
		int Get() const { return m_format; }
	public:
		wstring GetExtension() const {
			switch (m_format) {
				case Wave:
					return L".wav";
				case OggVorbis:
					return L".ogg";
				default:
					return L"";
			}
		}
	};
}
}
