#pragma once

namespace Lmt {
namespace O2Bms {
	class Utility {
	public:
		static bool CreateDirectory( const wstring &path );
		static bool IsDirectoryExists( const wstring &path );
		static void AntiOverRun( char *str, size_t length );
		static wstring GetProgramFilesDirectory();
		static wstring GetCurrentDirectory();
		static wstring CombinePath( const wstring &left, const wstring &right );
		static wstring AddBackSlash( const wstring &path );
		static wstring AddExtension( const wstring &path, const wstring &extension );
		static wstring ChangeExtension( const wstring &source, const wstring &newExt );
		static wstring GetFileNameFromPath( const wstring &path );
		static wstring GetDirectoryFromPath( const wstring &path );
		static string WStringToString( const wstring &s );
		static wstring StringToWString( const string &s );
		static wstring EncodeToUrl( const wstring &s );
		static HWND GetConsoleWindow();
	};
}
}
