#include "stdafx.h"
#include "O2JamMusicDesc.hpp"

namespace Lmt {
namespace O2Bms {
	O2JamMusicDesc::O2JamMusicDesc() {
		m_identifier = 0;
		m_genre = L"";
		m_title = L"";
		m_composer = L"";
		m_scoreMaker = L"";
		m_initialBPM = 0.0f;
		m_easyLevel = 0;
		m_normalLevel = 0;
		m_hardLevel = 0;
	}
	
	int O2JamMusicDesc::GetIdentifier() const {
		return m_identifier;
	}
	
	wstring O2JamMusicDesc::GetGenre() const {
		return m_genre;
	}
	
	wstring O2JamMusicDesc::GetTitle() const {
		return m_title;
	}
	
	wstring O2JamMusicDesc::GetComposer() const {
		return m_composer;
	}
	
	wstring O2JamMusicDesc::GetScoreMaker() const {
		return m_scoreMaker;
	}
	
	float O2JamMusicDesc::GetInitialBPM() const {
		return m_initialBPM;
	}
	
	int O2JamMusicDesc::GetEasyLevel() const {
		return m_easyLevel;
	}
	
	int O2JamMusicDesc::GetNormalLevel() const {
		return m_normalLevel;
	}
	
	int O2JamMusicDesc::GetHardLevel() const {
		return m_hardLevel;
	}
}
}
