#include "stdafx.h"
#include "ResultDialog.hpp"
//2007/5/23 1.03----->
#include "Utility.hpp"
//<-------------------

namespace Lmt {
namespace O2Bms {
	//2007/5/23 1.03----->
//	void ResultDialog::AddResult( const wstring &target, const ConvertResult &result ) {
	void ResultDialog::AddResult( const ConvertTargetFile &target, const ConvertResult &result ) {
	//<-------------------
		m_targets.push_back( target );
		m_results.push_back( result );
	}

	void ResultDialog::OnInitDialog() {
		wstringstream ss;
		HWND hwnd;
		int count = static_cast<int>( m_targets.size() );

		for (int i = 0; i < count; i++) {
			//2007/5/23 1.03----->
//			ss << m_targets[i] << L" ..... " << m_results[i].ToString() << endl;
			ConvertTargetFile &t = m_targets[i];

			ss.width( 4 );
			ss.fill( '0' );
			ss << t.GetIdentifier();
			ss << L" - ";
			ss << t.GetSongTitle();
			ss << L" - (";
			ss << Utility::GetFileNameFromPath( t.GetPath() );
			ss << L") ..... ";
			ss << m_results[i].ToString();
			ss << endl;
			//<-------------------
		}

		hwnd = this->GetItem( IDC_RESULT_EDIT_LIST );
		::SetWindowText( hwnd, ss.str().c_str() );
		::SendMessage( hwnd, EM_SETSEL, 0, 0 );
		::SetFocus( this->GetItem( IDOK ) );
	}

	bool ResultDialog::OnOk() {
		return true;
	}

	bool ResultDialog::OnCancel() {
		return true;
	}

	bool ResultDialog::OnCommand( WORD id, WORD code, HWND hwnd ) {
		return false;
	}

}
}
