//2007/6/9 1.04 VK쐬
#include "stdafx.h"
#include "SoundConverter.hpp"

namespace Lmt {
namespace O2Bms {
	size_t SoundConverter::OvReadCB( void *ptr, size_t size, size_t nmemb, void *datasource ) {
		MusicPackageStream *stream = reinterpret_cast<MusicPackageStream*>( datasource );
		size_t readDesire = size * nmemb;
		return stream->Read( ptr, static_cast<int>( readDesire ) );
	}

	int SoundConverter::OvSeekCB( void *datasource, ogg_int64_t offset, int whence ) {
		MusicPackageStream *stream = reinterpret_cast<MusicPackageStream*>( datasource );
		switch (whence) {
			//擪
			case SEEK_SET:
				stream->Seek( static_cast<int>( offset ), SeekFromBegin );
				return 0;
			//
			case SEEK_END:
				stream->Seek( static_cast<int>( offset ), SeekFromEnd );
				return 0;
			//݈ʒu
			case SEEK_CUR:
				stream->Seek( static_cast<int>( offset ), SeekFromCurrent );
				return 0;
			//s
			default:
				return -1;
		}
	}

	int SoundConverter::OvCloseCB( void *datasource ) {
		MusicPackageStream *stream = reinterpret_cast<MusicPackageStream*>( datasource );
		//̃CX^X̂gpȂClosêƓɂȂ̂ŁAł͉Ȃ
		return 0;
	}

	long SoundConverter::OvTellCB( void *datasource ) {
		MusicPackageStream *stream = reinterpret_cast<MusicPackageStream*>( datasource );
		return static_cast<long>( stream->Tell() );
	}
}
}
